%global momorel 20

Summary: KON - Kanji ON Linux console
Name: kon2
Version: 0.3.9b
Release: %{momorel}m
Group: Applications/System
Source0: ftp://ftp.linet.gr.jp/pub/KON/%{name}-%{version}.tar.gz
Source1: ftp.linux.or.jp/pub/PJE/PJE-0.1beta/tgz/install/konfnt.tgz
Patch: kon2-0.3.9-config.patch
Patch100: kon2-0.3.9b-redhat70_config.patch
Patch104: kon2-0.3.8-exec.diff
Patch107: kon2-0.3.9b-tty.patch
Patch108: kon2-0.3.9b-bufover-fix.patch
Patch109: kon2-0.3.9b-racecondition-fix3.patch
Patch110: kon2-english-manpage.patch
Patch200: kon2-0.3.9b-alpha.patch2
Patch1000: kon2-ssp-fix.patch
License: Modified BSD
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kon2-fonts
ExclusiveArch: i386 i486 i586 i686 alpha alphaev5
#NoSource: 0

%description
kon is a Kanji emulator for console

%package fonts
Summary: Fonts for KON
Group: Applications/System

%description fonts
This package includes some fonts for Kon.
They are supplied with public domain.

%prep
%setup -q -q
%patch100 -p1 -b .config
%patch104 -p0 -b .exec
%patch107 -p1 -b .tty
%patch108 -p1 -b .fld
%patch109 -p1 -b .race
%patch110 -p1 -b .man
%patch200 -p1 -b .alpha
%setup -q -D -a 1 -T

%patch1000 -p1

%build
# Don't use %{optflags}
%ifarch alpha alphaev5
perl -p -i -e "s/-O2/-O2 -mcpu=ev5 -Wa,-mev6/" .config
%endif
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/bin
mkdir -p %{buildroot}%{_mandir}/ja/man1
mkdir -p %{buildroot}%{_mandir}/man1
mkdir -p %{buildroot}/usr/share/fonts
mkdir -p %{buildroot}/etc
make install TOPDIR=%{buildroot}
install -m 0444 usr/share/fonts/pubfont.a.gz %{buildroot}/usr/share/fonts
install -m 0444 usr/share/fonts/pubfont.k.gz %{buildroot}/usr/share/fonts
install -m 0444 doc/kon.1.eng %{buildroot}%{_mandir}/man1/kon.1
chmod 644 %{buildroot}/etc/kon.cfg
chmod 644 doc/*

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%attr (4755, root, root) /usr/bin/kon
%attr (0755, root, root) /usr/bin/fld
/usr/bin/swkon
%attr (4755, root, root) /usr/bin/newvc
%{_mandir}/ja/man1/kon.1*
%{_mandir}/man1/kon.1*
%config /etc/kon.cfg

%doc doc/* terminfo.kon termcap.kon

%files fonts
%defattr(-,root,root)
%dir /usr/share/fonts/
/usr/share/fonts/pubfont.a.gz
/usr/share/fonts/pubfont.k.gz

%changelog
* Wed Mar 24 2004 Toru Hoshina <t@momonga-linux.org>
- (0.3.9-20m)
- revised spec for rpm 4.2

* Mon Nov  3 2003 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.3.9-19m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Sun Feb 16 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.3.9-18m)
- add ssp patch

* Thu Jul 25 2002 Masahiro Takahata <takahata@momonga-linux.org>
- (0.3.9-17m)
- include source

* Sun Dec 23 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (0.3.9-16k)
- fix kon2-0.3.9b-alpha.patch2 for Nautilus System

* Fri Sep 14 2001 Toru Hoshina <t@kondara.org>
- (0.3.9-14k)
- require kon2-fonts.

* Fri Jun 29 2001 Toru Hoshina <toru@df-usa.com>
- add alphaev5 support.

* Tue May 22 2001 Toru Hoshina <toru@df-usa.com>
- add alpha support.

* Tue Apr  3 2001 Matt Wilson <msw@redhat.com>
- changed "Buildarch: i386" to "ExclusiveArch: i386"
- run 'tic' on the terminfo.kon file as shipped in the source at build
  time instead of including a copy in the .src.rpm
- don't advertise BCE capibility in kon's terminfo entry, this causes
  black backgrounds in SLang applications

* Mon Dec 11 2000 Yukihiro Nakai <ynakai@redhat.com>
- Add BuildReq line. Kon is for i386 only.

* Thu Oct 19 2000 Matt Wilson <msw@redhat.com>
- Prereq: sh-utils textutils - they are used in the %post.  Also
  Prereq: /etc/termcap so that we'll actually do something useful.

* Tue Sep 12 2000 ISHIKAWA Mutsumi <ishikawa@redhat.com>
- change not to generate terminfo on %post, simply includes
  /usr/share/terminfo/k/kon

* Mon Jul 31 2000 ISHIKAWA Mutsumi <ishikawa@redhat.com>
- add english manpage from Debian GNU/Linux, special thx for
  Taketoshi Sano <sano@debian.or.jp>

* Mon Jul 31 2000 ISHIKAWA Mutsumi <ishikawa@redhat.com>
- built for RedHat 7.0.

* Thu Jul 20 2000 ISHIKAWA Mutsumi <ishikawa@linux.or.jp>
- missing setgid(getgid()), setuid(getuid()) before shell
  fork(), now fixed.

* Wed Jul 19 2000 ISHIKAWA Mutsumi <ishikawa@linux.or.jp>
- race condition bug fix was incorrect, so really fixed.

* Mon Jul 10 2000 Jun Nishii <jun@vinelinux.org>
- fix wrong subpackage name (kon2-font -> kon2-fonts)

* Sun Jul  2 2000 ISHIKAWA Mutsumi <ishikawa@linux.or.jp>
- change from kon2-0.3.9-vine_config.patch to
  kon2-0.3.9b-vine_config.patch to rebuild collectly

* Sun Jul  2 2000 ISHIKAWA Mutsumi <ishikawa@linux.or.jp>
- Font loading can not work collectly in some environment. 
  It is fld and kon race condition bug. Now fixed.

* Wed Jun 22 2000 ISHIKAWA Mutsumi <ishikawa@linux.or.jp>
- updated to 0.3.9b
- fld security fix and more buffer overflow fix patch (writen by
  Fumitoshi UKAI <ukai@debian.or.jp>) added
- remove Vine's bufover patch because of fixed upstream.
- replace Vine's tty patch to be able to apply to 0.3.9b
- drop suid root from /usr/bin/fld
- rebuild on RedHat 6.2

* Thu Jun 9 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- remake SPEC file from rawhide.
- ja_JP.ujis -> ja
- added Vine's patches: exec, tty, bufover

* Thu Mar 23 2000 Chris Ding <cding@redhat.com>
- fixed terminfo path miss

* Wed Mar 22 2000 Chris Ding <cding@redhat.com>
- updated to 0.3.9
- ja_JP.ujis -> ja_JP.eucJP
- added prereq tag
- changed group

* Mon Oct 18 1999 Matt Wilson <msw@redhat.com>
- rebuilt for 6.1
- patched makefile so that it doesn't use hardcoded path
- added attr tags

* Sat Nov 22 1997 Susumu Nagashige <nagasige@netlaputa.ne.jp>
* Wed Feb  4 1998 Keiichi Matsuzaki <chaki@tkyosf1.phys.s.u-tokyo.ac.jp>
- 2nd release
